FWStruct::Border Struct Reference

Internal: class to store a border which appear in docInfo. More...

`#include <FWStruct.hxx>`

## Public Member Functions

| Border ()
| constructor More...
bool | read (shared_ptr< FWStruct::Entry > zone, int fSz)
| try to read a border definiton More...
std::vector< Variable < MWAWBorder > > | getParagraphBorders () const
| returns the list of border order MWAWBorder::Pos More...

## Static Public Member Functions

static MWAWBorder | getBorder (int type)
| return a border corresponding to a type More...

## Public Attributes

int | m_type [3]
| the type (border, horizontal and vertical separators) More...
MWAWColor | m_frontColor
| the front color (used for layout ) More...
MWAWColor | m_backColor
| the back color (used for layout ) More...
MWAWColor | m_color [2]
| the colors line + ? More...
int | m_width
| the width More...
int | m_isDouble
| the f1 value: isDouble ? More...
int | m_flags
| the flags More...
std::string | m_extra
| some extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Border const &p)
| operator<< More...

## Detailed Description

Internal: class to store a border which appear in docInfo.

## Constructor & Destructor Documentation

FWStruct::Border::Border | ( |  | ) |

inline

constructor

## Member Function Documentation

MWAWBorder FWStruct::Border::getBorder | ( | int | type | ) |

static

return a border corresponding to a type

Referenced by getParagraphBorders(), FWGraph::sendSideBar(), and FWText::sendTable().

std::vector< Variable< MWAWBorder > > FWStruct::Border::getParagraphBorders | ( |  | ) | const

returns the list of border order MWAWBorder::Pos

Referenced by FWTextInternal::Paragraph::updateToSent().

bool FWStruct::Border::read | ( | shared_ptr< FWStruct::Entry > | zone,
|  | int | fSz
| ) |  |

try to read a border definiton

Referenced by FWGraph::readBorderDocInfo().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Border const & | p
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWColor FWStruct::Border::m_backColor

the back color (used for layout )

Referenced by FWStruct::operator<<(), read(), FWGraph::sendSideBar(), and FWTextInternal::Paragraph::updateToSent().

MWAWColor FWStruct::Border::m_color[2]

the colors line + ?

Referenced by getParagraphBorders(), FWStruct::operator<<(), read(), FWGraph::sendSideBar(), and FWText::sendTable().

std::string FWStruct::Border::m_extra

some extra data

Referenced by FWStruct::operator<<(), and read().

int FWStruct::Border::m_flags

the flags

Referenced by FWStruct::operator<<(), and read().

MWAWColor FWStruct::Border::m_frontColor

the front color (used for layout )

Referenced by FWStruct::operator<<(), and read().

int FWStruct::Border::m_isDouble

the f1 value: isDouble ?

Referenced by FWStruct::operator<<(), and read().

int FWStruct::Border::m_type[3]

the type (border, horizontal and vertical separators)

Referenced by Border(), getParagraphBorders(), FWStruct::operator<<(), read(), FWGraph::sendSideBar(), and FWText::sendTable().

int FWStruct::Border::m_width

the width

Referenced by FWStruct::operator<<(), and read().

The documentation for this struct was generated from the following files:

- FWStruct.hxx
- FWStruct.cxx